- Home
- API Enriched
- Tenant And Identity
- config
- Set FastACLs For Internet VIPs.
Set FastACLs For Internet VIPs.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/fast_acls_for_internet_vips';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"fast_acls":[{"name":"example","namespace":"example"}],"namespace":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/fast_acls_for_internet_vips \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "fast_acls": [ { "name": "example", "namespace": "example" } ], "namespace": "example" }'SetFastACLsForInternetVIPs activates the passed list of FastACLs for Internet VIPs. An emtpy list in the request will clear FastACLs for Internet VIPs.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace The name of the namespace.
Request Bodyrequired
Section titled “Request Bodyrequired”SetFastACLsForInternetVIPsRequest contains list of FastACLs refs that should be applied to the Internet VIPs.
object
The list of refs of FastACLs.
This type establishes a direct reference from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name.
object
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.
The name of the namespace.
Examplegenerated
{ "fast_acls": [ { "name": "example", "namespace": "example" } ], "namespace": "example"}Responses
Section titled “Responses”A successful response.
SetFastACLsForInternetVIPsResponse is empty.
object
Examplegenerated
{}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example